NetworkManager submenus sometimes unpopulated

Bug #1011073 reported by onyxrev on 2012-06-10
702
This bug affects 226 people
Affects Status Importance Assigned to Milestone
DBus Menu
New
Undecided
Unassigned
OEM Priority Project
High
Ara Pulido
Precise
High
Ara Pulido
Quantal
High
Unassigned
Raring
High
James M. Leddy
libdbusmenu (Ubuntu)
High
Chris Coulson
Precise
High
Unassigned
Quantal
High
Unassigned
Raring
High
Unassigned

Bug Description

[Impact]

 * Affected applications with a high number of menu updates reach the maximum value allowed for the ID of a menuitem, and rejects further menu changes. Because the application underneath the menu has already removed the underlying actual GtkMenuItem objects, it is impossible to activate the items -- to effect the actions linked to the menuitems.
 * Some indicators have a relatively high and climbing memory usage due to the way they build menus to be displayed in the panel.

[Test Case]

 * Run nm-applet for a while (multiple days without shutdown, without killing the application), notice whether the menus are still usable.
 * Run indicators for a while, observe memory usage.

[Regression Potential]

Indicators with a very high amount of updates may be affected as circling back past the maximum value, if a new menu item is created with an ID still in use by a menuitem that has not been removed yet, neither or only one of the two menu items might be available to be clicked -- this could confuse users or cause error messages to be displayed.
Risk is low however since network-manager-gnome (nm-applet) is currently the application with the most menu updates.

[Other Info]

Submenus in Network Manager are sometimes unusable as they are not populated. This happens both with the list of available networks and with the VPN list. When the bug happens, it occurs for *both* the wireless submenu and the VPN menu. I know there are entries for those submenus as I can see them with other network UI mechanisms. The issue is intermittent.

Expected:
Dropping down the menu then hovering over the submenu trigger-point (example: "More networks") shows the additional expected entries (example: more wifi networks to choose from).

Actual:
Dropping down the menu and hovering over the submenu trigger displays a submenu but the submenu has nothing in it and is unusable.

Ubuntu 12.04
network-manager 0.9.4.0-0ubuntu4.1
Apple Macbook Pro 8,1

03:00.0 Network controller: Broadcom Corporation BCM4331 802.11a/b/g/n (rev 02)
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM57765 Gigabit Ethernet PCIe (rev 10)

Related branches

onyxrev (entp) wrote :
summary: - network manage submenus come up empty
+ network manager submenus empty

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager (Ubuntu):
status: New → Confirmed
onyxrev (entp) on 2012-06-10
description: updated
artelius (artelius) wrote :

Also affects me, recently upgraded to Ubuntu 12.04

ThinkPad Edge 0301
Ubuntu 12.04
network-manager 0.9.4.1-0ubuntu4.1
network-manager-gnome 0.9.4.0-0ubuntu1

sudo killall NetworkManager does not fix.

SystRestart fixes the problem.

HappySmack (happysmack70) wrote :

I am affected also.

Toshiba Portege r835-p56x
Ubuntu 12.04 upgraded from 11.10
network-manager 0.9.4.0-0ubuntu4.1
network-manager-gnome 0.9.4.1-0ubuntu2

sudo killall NetworkManager does not fix.

System restart fixes the problem.

Also, my wired connection is retained when bug is activated. But I am unable to disconnect or reconnect to ANY other networks.

Thomas Hood (jdthood) on 2012-06-22
summary: - network manager submenus empty
+ NetworkManager submenus empty
Thomas Hood (jdthood) on 2012-06-25
summary: - NetworkManager submenus empty
+ NetworkManager submenus unpopulated

Also affected 12.04 from clean install, (been in use for about 3 months now). I cannot see any obvious pattern for reproduction of why this happens, i've tried restarting various services, but so far only rebooting my system fixes this... I use VPNs quite frequently so it would be nice to see this fixed soon :-)

HP Probook 4330s

 *-network
       description: Wireless interface
       product: Ralink corp

*-network
       description: Ethernet interface
       product: RTL8111/8168B PCI Express Gigabit Ethernet controller

network-manager: 0.9.4.0-0ubuntu4.1
network-manager-gnome: 0.9.4.1-0ubuntu2
network-manager-pptp: 0.9.4.0-0ubuntu1
network-manager-pptp-gnome: 0.9.4.0-0ubuntu1
network-manager-vpnc: 0.9.4.0-0ubuntu1
network-manager-vpnc-gnome: 0.9.4.0-0ubuntu1

3.2.0-25-generic #40-Ubuntu SMP Wed May 23 20:30:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

If any other info would be helpful let me know... I might dig a bit further into this later today as this bug is bugging me.
All updates current.

HappySmack (happysmack70) wrote :

Recently I noticed an update to libmenu or something similar and NetworkManager seemed to work much better. Then I plugged in my Ralink chipset adapter and the problem resurfaced within minutes.

8086:0083 Intel Corporation Centrino Wireless-N 1000
148f:3070 Ralink Technology, Corp. RT2870/RT3070 Wireless Adapter

I have both an Alfa and "Chinese" generic adapter with the Ralink chipset.

In summation:

Works fine all day with internal Intel chipset only.
Works for up to couple hours with the Alfa adapter.
Always faults within 2 hours with the generic Ralink.
Even faster when all three are inserted.

Both Ralink adapters are USB

Henryk Plötz (henryk-ploetzli) wrote :

I'm affected by this too. It seems to happen intermittently without any obvious connection to anything else. I most often notice it more or less directly following a resume from suspend, though that may be a coincidence since that's also the time when I most often want to manually connect to my VPN, having just opened my laptop at a place away from home.

Another symptom when the bug occurs: The nm-indicator does not react to clicks on any of the items. While it may list some Wifi networks as well as 3G connections and the "Enable …" checkboxes, clicking any of them simply does nothing. Wifi networks can't be changed, 3G connections can't be brought up, networking can't be disabled. It's as if the indicator has lost partial connectivity to the network-manager proper.

Other network-manager interfaces continue to work, both nmcli/nm-tool and "System Settings → Network" list all available connections and can bring them up.

Looking through the network-manager bugs on launchpad at least #1012154 and #1000948 seem to be duplicates of this. (I'm commenting here since so far this is the most active one.)

Thomas Hood (jdthood) wrote :

@onyxrev: When does the misbehavior start? I mean, does it start on login and/or resume from suspend?

onyxrev (entp) wrote :

@thomas: I have not been able to correlate any particular event with the misbehavior. I start/stop VPNs on a regular basis. I suspend on a regular basis. I change networks many times in a day.

Here's something I just tried... as I typed the last paragraph I checked to see whether the issue was occurring. It was, so I killed nm-applet and reran it. The menus then rendered properly. I will check it periodically and try to get back to you on potential leads for events that might trigger the problem.

onyxrev (entp) wrote :

@henry: I've noticed that unresponsiveness as well although I'm not 100% certain it's related.

Thomas Hood (jdthood) on 2012-07-12
summary: - NetworkManager submenus unpopulated
+ NetworkManager submenus sometimes unpopulated
Thomas Hood (jdthood) wrote :

Compare bug #965895.

onyxrev (entp) wrote :

To me #965895 seems unrelated. In our bug the items are present but not populated. I have never seen the behavior described in #965895.

How long are systems running before they exercise this behavior? Is it a matter of hours or days?

The best here would be to provide valgrind logs; seems very much like a memory management issue.

Changed in network-manager (Ubuntu):
status: Confirmed → Incomplete
importance: Undecided → Medium
onyxrev (entp) wrote :

Unfortunately (fortunately?) I haven't seen this bug in at least a week or so but I will certainly try to provide valgrind logs if I do.

jhansonxi (jhansonxi) wrote :

I've encountered this problem as well with Ubuntu 12.04 (Precise Pangolin)/Linux Mint 13 (maya), i386 non-PAE on a Panasonic Toughbook CF-51 with an Intel PRO/Wireless 2200BG [Calexico2].

At boot Network Manager doesn't show anything but iwlist does show wireless networks available. After several minutes, Network Manager starts functioning, showing the available networks. I've monitored the logs (.xsession-errors, syslog, dmesg, kern.log, auth.log, udev.log) but nothing appears at the moment it starts functioning.

The following bugs appear to be duplicates of this but I don't have time to verify them:
bug 1032664
bug 1031777
bug 1017186
bug 996389
bug 991872
bug 983583
bug 965895

Bug 767423 seems to be an even older report of the same problem.

onyxrev (entp) wrote :

jhansonxi's problem is different. When the issue happens I would I see the strongest or most familiar networks in Network Manager but I would not see the additional "paginated" networks under "More Networks" or my VPN connections under "VPN". It also would happen randomly, not only at boot/login.

In reply to Mathieu: It usually takes days, not hours, before I notice the problem, but I think I have never gone more than three days without. I have run an instance of valgrind --leak-check=full --trace-children=yes --log-file=nm-applet-%p.log nm-applet in a console and hit Ctrl-C when I noticed the problem. I'm attaching a bzip2 compressed log file.

The console output was
--snip
** Message: applet now removed from the notification area

(nm-applet:10742): GdkPixbuf-CRITICAL **: gdk_pixbuf_composite: assertion `dest_y >= 0 && dest_y + dest_height <= dest->height' failed
** Message: No keyring secrets found for WLAN-001A4F3AD299/802-11-wireless-security; asking user.

^C** Message: PID 0 (we are 10742) sent signal 2, shutting down...
--snap

(Note: The "No keyring secrets" message is related to a different problem.)

(nm-applet:10742): GdkPixbuf-CRITICAL **: gdk_pixbuf_composite: assertion `dest_y >= 0 && dest_y + dest_height <= dest->height' failed

^^ That shouldn't be happening. It could be indicative of the cause of the issue though; in the case that you're using a custom icon set, maybe the pixbuf compositing, in the way it's done, causes some memory to be leaked. It should be apparently in the valgrind log, I'll take a look.

It would be useful if you could confirm what icon theme is in use though ;)

Changed in network-manager (Ubuntu):
importance: Medium → High
status: Incomplete → Triaged
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)

I think the icon set and everything else are Ubuntu default, I do not recall doing anything to the look and feel besides changing the background image (and having the left-hand side bar being displayed at all times). System Settings -> Appearance -> Theme says "Ambiance (default)". The system is Ubuntu 12.04, x86_64, all packages up-to-date.

Jim Leinweber (jiml-mail) wrote :

Same comment that I added to #9658985: The easiest workaround for this bug I've found is to uncheck "Enable Networking" on the network dropdown, wait a few seconds, and pick "Enable networking". This seems to reliably toggle the missing entries back onto the menus, both wifi and VPN. I see this on multiple ubuntu boxes, particularly starting with 12.04, but not all of them.

Reassigning to network-manager-applet, where it belongs.

Please don't mark any of the bugs in the comments above as duplicates of this one; it should be the other way around -- the master bug is one of the bugs listed (or just another bug altogether), I'll take care of the deduplication.

affects: network-manager (Ubuntu) → network-manager-applet (Ubuntu)

Unchecking and checking "Enable Networking" does not work for me. It just does nothing at all.

Logging out and in again works most of the time (maybe even always, but I am not sure).

Jiri Vaclavovic (jvaclavovic) wrote :

Confirmed on 12.10 (64bit, ThinkPad T420). My workaround:

pkill nm-applet
nm-applet &

Matthew Gregg (mcg) wrote :

This is now consistently broken for me at first login after powering on in 12.10.

Aaron Johnson (acjohnson) wrote :

This affects me as well. I am using a Acer Aspire 4752. Here is output of lspci:

00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b4)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation HM65 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
02:00.0 Network controller: Atheros Communications Inc. AR9287 Wireless Network Adapter (PCI-Express) (rev 01)
03:00.0 Ethernet controller: Broadcom Corporation NetLink BCM57785 Gigabit Ethernet PCIe (rev 10)
03:00.1 SD Host controller: Broadcom Corporation NetXtreme BCM57765 Memory Card Reader (rev 10)
03:00.2 System peripheral: Broadcom Corporation Device 16be (rev 10)
03:00.3 System peripheral: Broadcom Corporation Device 16bf (rev 10)

killing and relaunching nm-applet is the only way to get it working again without having to logout... Please fix this soon :(

Eloy Paris (peloy-chapus) wrote :

I gave up trying to get the NM applet to work by using pkill nm-applet && nm-applet &

I mean, it works, but since I have to be in a terminal window to run pkill anyway, it is just easier for me to use one command to connect to the network that I want. So, I just run this, which works perfectly even if the applet is not working:

shell$ nmcli con up id <name of network to connect to>

This means that my NM applet is always screwed up (because of this bug), but at least I can connect to any network without worrying about making the applet work first by killing its process and then restarting it.

On a related note, I am surprised that this bug has existed since 12.04 and it still has not been fixed. Personally, I have two machines that my wife uses and that are still running 11.10 because, if I upgrade them, I can see her become very frustrated when she has to connect to a wireless network and the NM applet does not allow her to.

This bug has huge usability implications. I hope it can get fixed soon.

Cheers!

Thomas Hood (jdthood) wrote :

I just encountered this bug. The VPN Connections submenu is empty. I can still up and down VPN connections using nmcli.

network-manager 0.9.6.0-0ubuntu7
network-manager-gnome 0.9.6.2-0ubuntu6

Justin Wiley (justin-wiley) wrote :

This affects me as well, since purchasing a System76 system late last year. Restarting nm-applet does populate the menu partially, however my personal hotspot wifi does not show up. Happy to provide whatever info is necessary to troubleshoot and resolve this.

Benjamin Kraus (ben-benkraus) wrote :

This might be a duplicate of bug 930563.

antonio (antoniodtv) wrote :

That also affects me. Can't identify what drives this misbehavior.

Workaround: restart the applet (see @Jiri Vaclavovic 2012-10-16)

Some info about my system:

HP (Compaq) 8710p

10:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)

Linux 3.2.0-36-generic-pae #57-Ubuntu SMP Tue Jan 8 22:01:06 UTC 2013 i686 i686 i386 GNU/Linux

Cheers!

Benjamin (nailartcenter) wrote :

Hello, please solve this until Ubuntu 12.04.02

Attila Szalay (sasa-u) wrote :

This bug also affect me.

Sadly I could not tell when it happen because almost always I use already known wifi hotspots. But when it happens I recognise the following symptoms:

* The More Networks menu is empty
* The VPN Connections menu also empty
* Could not connect any of the wifi connection from the list

The nmcli command is working, so I could connect to the VPN's if I need.

The pkill nm-applet/nm-applet & is working for me (I tried it just now).

When I started the nm-applet I find the following writing in the terminal (it maybe not related):

sasa@mochrul:~$ nm-applet &
[1] 29030
sasa@mochrul:~$ ** Message: applet now removed from the notification area
** Message: No keyring secrets found for <REMOVED>/802-11-wireless-security; asking user.

(nm-applet:29030): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

** (nm-applet:29030): WARNING **: Failed to show notification: GDBus.Error:org.freedesktop.Notifications.MaxNotificationsExceeded: Exceeded maximum number of notifications

** (nm-applet:29030): WARNING **: Failed to show notification: GDBus.Error:org.freedesktop.Notifications.MaxNotificationsExceeded: Exceeded maximum number of notifications

** (nm-applet:29030): WARNING **: Failed to show notification: GDBus.Error:org.freedesktop.Notifications.MaxNotificationsExceeded: Exceeded maximum number of notifications

** (nm-applet:29030): WARNING **: Failed to show notification: GDBus.Error:org.freedesktop.Notifications.MaxNotificationsExceeded: Exceeded maximum number of notifications

** (nm-applet:29030): WARNING **: Failed to show notification: GDBus.Error:org.freedesktop.Notifications.MaxNotificationsExceeded: Exceeded maximum number of notifications

** (nm-applet:29030): WARNING **: Failed to show notification: GDBus.Error:org.freedesktop.Notifications.MaxNotificationsExceeded: Exceeded maximum number of notifications

** (nm-applet:29030): WARNING **: Failed to show notification: GDBus.Error:org.freedesktop.Notifications.MaxNotificationsExceeded: Exceeded maximum number of notifications

** (nm-applet:29030): WARNING **: Failed to show notification: GDBus.Error:org.freedesktop.Notifications.MaxNotificationsExceeded: Exceeded maximum number of notifications

** (nm-applet:29030): WARNING **: Failed to show notification: GDBus.Error:org.freedesktop.Notifications.MaxNotificationsExceeded: Exceeded maximum number of notifications
** Message: No keyring secrets found for Auto <REMOVED>/802-11-wireless-security; asking user.

(nm-applet:29030): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

** (nm-applet:29030): WARNING **: Failed to show notification: GDBus.Error:org.freedesktop.Notifications.MaxNotificationsExceeded: Exceeded maximum number of notifications
** Message: No keyring secrets found for Auto <REMOVED>/802-11-wireless-security; asking user.

(nm-applet:29030): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

** (nm-applet:29030): WARNING **: Failed to show notification: GDBus.Error:org.freedesktop.Notifications.MaxNotificationsExceeded: Exceeded maximum number of notifications

Attila Szalay (sasa-u) wrote :

I forgot to mention that I use precise (12.04.2) if it is important

Came from this duplicate ##1135483.

I have this problem on Raring 32-bit. Read in another bug some idea about it only affecting 64-bit.

Changed in oem-priority:
assignee: nobody → James M. Leddy (jm-leddy)
importance: Undecided → High
Changed in libdbusmenu (Ubuntu):
assignee: nobody → Charles Kerr (charlesk)
James M. Leddy (jm-leddy) wrote :

Copying some relevant info from cyphermox:

We don't need so much additional information anymore from the debug packages. Yes, the information was useful.

I was able to write a small python script that reproduces the issue:
https://code.launchpad.net/~mathieu-tl/+junk/test-indicator-update

Playing with the delays there and the number of updates in a row, you can easily wedge dbusmenu in a matter of about an hour.

As far as I'm concerned, this proves that the issue isn't in nm-applet but somewhere in the way that dbusmenu takes care of updates to the menus, but I'm still not quite sure what is wong with it.

Any help is of course welcome :)

Changed in libdbusmenu (Ubuntu):
status: New → Confirmed
Changed in libdbusmenu (Ubuntu):
importance: Undecided → High
Marc Purdon (carc) wrote :

This affected me on 12.04 32bit, after upgrading to 12.10 and more recently 13.04 the issue was gone, however I upgraded my hard drive to an SSD so re-installed 13.04 amd64 this time and the issue is back.

 Within 1-2 days after reboot NM applet becomes unresponsive, I can't select wireless networks, nor change my wired network settings.

atkarapa (atkarapa) wrote :

The problem seems to stop when wireless adapter is turned off before suspending the system.
Menus populate correctly after resume or wake up.
Although to turn on the wireless adapter I have to to press the keyboard shortcut(Fn+F2) for a while

When wireless adapter is on, the submenus aren't populated

Changed in libdbusmenu (Ubuntu Precise):
importance: Undecided → High
status: New → Triaged
Changed in libdbusmenu (Ubuntu Quantal):
importance: Undecided → High
status: New → Triaged
Changed in libdbusmenu (Ubuntu Raring):
importance: Undecided → High
status: New → Triaged
Changed in network-manager-applet (Ubuntu):
status: Triaged → Invalid
Changed in network-manager-applet (Ubuntu Precise):
importance: Undecided → High
status: New → Invalid
Changed in network-manager-applet (Ubuntu Quantal):
importance: Undecided → High
status: New → Invalid
Changed in network-manager-applet (Ubuntu Raring):
importance: Undecided → High
status: New → Invalid
Changed in libdbusmenu (Ubuntu):
assignee: Charles Kerr (charlesk) → Chris Coulson (chrisccoulson)
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdbusmenu - 12.10.3daily13.06.07-0ubuntu1

---------------
libdbusmenu (12.10.3daily13.06.07-0ubuntu1) saucy; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * Fix gtkdoc-check tests, and move them to tests subdirectory.

  [ Chris Coulson ]
  * Fix the long-standing "nm-applet stops working after a few days /
    hours" issue; properly handle "unique" IDs for indicator menuitems.
    (LP: #1011073)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 446
 -- Ubuntu daily release <email address hidden> Fri, 07 Jun 2013 02:02:59 +0000

Changed in libdbusmenu (Ubuntu):
status: In Progress → Fix Released

Oh my Gosh, thank you so much for fixing this.

Will this be backported to other releases?

Cheers,

Eloy Paris.-

On 06/07/2013 07:11 AM, Launchpad Bug Tracker wrote:

> This bug was fixed in the package libdbusmenu -
> 12.10.3daily13.06.07-0ubuntu1
>
> ---------------
> libdbusmenu (12.10.3daily13.06.07-0ubuntu1) saucy; urgency=low
>
> [ Mathieu Trudel-Lapierre ]
> * Fix gtkdoc-check tests, and move them to tests subdirectory.
>
> [ Chris Coulson ]
> * Fix the long-standing "nm-applet stops working after a few days /
> hours" issue; properly handle "unique" IDs for indicator menuitems.
> (LP: #1011073)
>
> [ Ubuntu daily release ]
> * Automatic snapshot from revision 446
> -- Ubuntu daily release <email address hidden> Fri, 07 Jun 2013 02:02:59 +0000
>
> ** Changed in: libdbusmenu (Ubuntu)
> Status: In Progress => Fix Released
>

Bruno Medeiros (brunojcm) wrote :

I got here trying to search on the internet how to properly collect data to help people fix this, and I found the bug report itself. What I naive action thinking that nobody had reported it before ;)

Eloy, I think that it will be backported to precise, quantal and raring, because of the status 'Triaged' in each of these.

description: updated
James M. Leddy (jm-leddy) wrote :

I'm not sure I did this right, I've created a new branch based off the ubuntu project, but I see Mathieu further up did a merge directly against the dbus menu project. Anyway, let me know if this works or if I need to do something else. I'm subscribing -sponsors too.

Bruno Medeiros (brunojcm) wrote :

How can we test if the fix works? Please point it out and I can test, I just had this problem one more time ;)

Marc Deslauriers (mdeslaur) wrote :

Packages are currently in the queue for precise and raring for sponsoring by the SRU team.
Unsubscribing ubuntu-sponsors.

Martin Spacek (mspacek) wrote :

@mdeslaur, will Quantal get fixed too?

James M. Leddy (jm-leddy) wrote :

Bruno,

Can you compile the code from my branch above? I've been running this patch for the past week and I haven't seen a reoccurence of the problem.

Bruno Medeiros (brunojcm) wrote :

Sure,i can!
Is there any easy way to build a deb file based on your branch? I'll need to run this on my production machine in order to properly test and I'm afraid of compile with Usr prefix, install, and have trouble rolling back.
if it's the only way,let me know and i will try anyway.

James M. Leddy (jm-leddy) wrote :

I would use a combination of apt-get build-dep and bzr builddeb. You can find more information about bzr builddeb here. Basically just checkout the branch and build it, probably with -uc -us.

http://doc.bazaar.canonical.com/plugins/en/builddeb-plugin.html
http://jameswestby.net/bzr/builddeb/user_manual/

Rolling back is an issue, since I used the versioning scheme in order to get it merged. Should only be a simple dpkg -r once the real package lands in -updates though.

Bruno Medeiros (brunojcm) wrote :

I did the following:
sudo apt-get install bzr-builddeb
bzr branch lp:~jm-leddy/ubuntu/precise/libdbusmenu/menuitem-max-id
cd menuitem-max-id/
sudo apt-get install libgtk-3-dev libdbus-glib-1-dev gnome-doc-utils gtk-doc-tools libjson-glib-dev gobject-introspection libgirepository1.0-dev dh-autoreconf valgrind valac-0.16
bzr builddeb --quick
dpkg -i build-area/libdbusmenu*.deb

I'm going to restart now, get back to you when I have some news.

Bruno Medeiros (brunojcm) wrote :

Sorry, forgot to mention one command:
dpkg -i build-area/gir1.2-dbusmenu-*.deb

James M. Leddy (jm-leddy) wrote :

That should work. Hope this works for you while we wait for the SRU to land.

Hello onyxrev, or anyone else affected,

Accepted libdbusmenu into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libdbusmenu/0.6.2-0ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libdbusmenu (Ubuntu Precise):
status: Triaged → Fix Committed
tags: added: verification-needed
Adam Conrad (adconrad) wrote :

Hello onyxrev, or anyone else affected,

Accepted libdbusmenu into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/libdbusmenu/12.10.3daily13.06.19~13.04-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libdbusmenu (Ubuntu Raring):
status: Triaged → Fix Committed
Marlon Nelson (marlon-nelson) wrote :

I've verified the precise-proposed version on a machine where the problem would appear after a few hours. It's been running for a few days now, with no problem appearing.

I can't verify raring-proposed as I'm still using quantal, so I'll leave the tag at verification-needed.

tags: added: verification-done-precise
Bruno Medeiros (brunojcm) wrote :

So far so good to me too. I hadn't reported before because the problem sometimes happened after a long time, so I was waiting to see if it's really fixed.

tags: added: verification-done
removed: verification-needed
tags: added: verification-needed
removed: verification-done
Alec Warner (antarus) wrote :

The precise SRU is verified and has waiting the minimum 7 days, can it be put into updates?

-A

Brian Murray (brian-murray) wrote :

No, because the two other bugs that the precise upload fixes have not been verified. They are bug 1103050 and bug 1104136.

Leonardo Borda (lborda) wrote :

@brian-murray

After four tries, i've got the empty vpn submenu, but after about 20 seconds, the vpn syscon entry appears.

If this is the suggested behaviour, it seems to work.

Leonardo Borda (lborda) wrote :

the above on comment #57 is on precise.

Benjamin Xiao (ben-r-xiao) wrote :

I can verify that it's fixed in raring-proposed. I left my computer on for 3 days and the menus are still visible.

tags: added: verification-done-raring
Ara Pulido (ara) on 2013-07-29
tags: removed: verification-needed
Konstantinos (konstant) wrote :

Same bug for me. Happens rarely, after several suspends and reawakenings. Can continue working after
killall nm-applet; nm-applet &
Similar bug with ,
killall window-list; window-list &
except that it happens more often

Ubuntu 13.04
Linux 3.8.0-19-generic #29-Ubuntu SMP Wed Apr 17 18:19:42 UTC 2013 i686 i686 i686 GNU/Linux
NetworkManager --version: 0.9.8.0

Ara Pulido (ara) on 2013-08-02
Changed in oem-priority:
assignee: James M. Leddy (jm-leddy) → Ara Pulido (apulido)
Bruno Medeiros (brunojcm) wrote :

Is there any deadline for verification of bug 1103050 and bug 1104136? If they don't verify, will this push to updates wait forever?

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdbusmenu - 12.10.3daily13.06.19~13.04-0ubuntu1

---------------
libdbusmenu (12.10.3daily13.06.19~13.04-0ubuntu1) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * Bump maximum value for menuitem ID from 30000 to MAXINT; which
    should help nm-applet have usable menus. Fix is a cherry pick from
    revision 445 on lp:dbusmenu; from Chris Coulson. (LP: #1011073)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 442
 -- Ubuntu daily release <email address hidden> Wed, 19 Jun 2013 02:04:01 +0000

Changed in libdbusmenu (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdbusmenu - 0.6.2-0ubuntu0.2

---------------
libdbusmenu (0.6.2-0ubuntu0.2) precise-proposed; urgency=low

  * debian/patches/lp1103050_method_invocation_leaks.patch: Leak in method call
    handlers for calls that don't require a reply (LP: #1103050)
  * debian/patches/lp1104136_variant_builder_leaks.patch: Leaks GVariant's in
    multiple places. (LP: #1104136)
  * debian/patches/lp1011073_menuitem_id_max.patch: increase maximum value for
    menuitem ID. (LP: #1011073)
 -- Mathieu Trudel-Lapierre <email address hidden> Mon, 17 Jun 2013 15:06:03 -0400

Changed in libdbusmenu (Ubuntu Precise):
status: Fix Committed → Fix Released
Ara Pulido (ara) on 2013-08-09
Changed in oem-priority:
status: In Progress → Fix Released
Adolfo Jayme (fitojb) on 2014-05-04
Changed in libdbusmenu (Ubuntu Quantal):
status: Triaged → Won't Fix
no longer affects: network-manager-applet (Ubuntu)
no longer affects: network-manager-applet (Ubuntu Precise)
no longer affects: network-manager-applet (Ubuntu Quantal)
no longer affects: network-manager-applet (Ubuntu Raring)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers